org.apache.ignite.internal.visor.node

## Class VisorNodeConfigurationCollectorJob

- java.lang.Object
- - org.apache.ignite.compute.ComputeJobAdapter
  - - org.apache.ignite.internal.visor.VisorJob<Void,VisorGridConfiguration>
    - - org.apache.ignite.internal.visor.node.VisorNodeConfigurationCollectorJob

All Implemented Interfaces:
  Serializable, Callable<Object>, ComputeJob

    public class VisorNodeConfigurationCollectorJob
    extends VisorJob<Void,VisorGridConfiguration>

Grid configuration data collect job.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorJob

`debug, ignite, start`

### Constructor Summary

Constructors
Constructor and Description
`VisorNodeConfigurationCollectorJob(Void arg, boolean debug)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected VisorGridConfiguration` `run(Void arg)` Execution logic of concrete job.
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.visor.VisorJob

`execute`

### Methods inherited from class org.apache.ignite.compute.ComputeJobAdapter

`argument, arguments, call, cancel, isCancelled, setArguments`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorNodeConfigurationCollectorJob

    public VisorNodeConfigurationCollectorJob(Void arg,
                                              boolean debug)

Parameters:
  `arg` - Formal job argument.
  `debug` - Debug flag.

### Method Detail

#### run

    protected VisorGridConfiguration run(Void arg)

Execution logic of concrete job.

Specified by:
  `run` in class `VisorJob<Void,VisorGridConfiguration>`
Parameters:
  `arg` - Task argument.
Returns:
  Result.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.6.0
Release Date | : July 10 2018